Bug 5702 - Can't upload ZIP file
Can't upload ZIP file
Status: CLOSED INVALID
Product: openclipart.org
Classification: Unclassified
Component: website
unspecified
x86 (IA32) Windows (All)
: high normal
Assigned To: default user for a product
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 11:05 UTC by Gerald G.
Modified: 2006-10-12 21:12 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald G. 2006-01-24 11:05:35 UTC
When attempting to upload a ZIP file to OCAL.\
Setup: Windows XP - IZArc to create ZIP - IE and FoxFire to try and upload

1: Browse to file and click "Send File"

2: Am re-directed to page asking for more information.

3: Fill in Author - select "Zip file may contain metadata RDF"
    - check "Yes I am copyright holder" - don't add keyword data

4: Click "Send file now" - or click "Send File"

5: Get error message.

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to 
complete your request.

Please contact the server administrator, jon@rejon.org and inform them of the 
time the error occurred, and anything you might have done that may have caused 
the error.

More information about this error may be available in the server error log.


-------------------------------------------------------------------------------
-

Apache/2.0.54 (Debian GNU/Linux) Server at www.openclipart.org Port 80
Comment 1 Nicu Buculei 2006-01-24 18:22:32 UTC
from the error.log:

[[error]] print() on closed filehandle LOG at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 701, <FH> line 10.,
referer: http://openclipart.org/
[[error]] print() on closed filehandle LOG at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 702, <FH> line 10.,
referer: http://openclipart.org/
[[error]] Use of uninitialized value in split at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 744, <FH> line 10.,
referer: http://openclipart.org/
[[error]] Use of uninitialized value in split at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 744, <FH> line 10.,
referer: http://openclipart.org/
[[error]] ZIP doesn't seem to contain embedded metadata; doing without at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 141., referer:
http://openclipart.org/
[[error]] Use of uninitialized value in pattern match (m//) at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 151., referer:
http://openclipart.org/
[[error]] Use of uninitialized value in numeric gt (>) at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 169., referer:
http://openclipart.org/
[[error]] print() on closed filehandle LOG at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 701, <FH> line 10.,
referer: http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] print() on closed filehandle LOG at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 702, <FH> line 10.,
referer: http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] Use of uninitialized value in split at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 744, <FH> line 10.,
referer: http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] Use of uninitialized value in split at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 744, <FH> line 10.,
referer: http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] format error: can't find EOCD signature , referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]]
\tArchive::Zip::Archive::_findEndOfCentralDirectory('Archive::Zip::Archive=HASH(0x814cd28)',
'IO::File=GLOB(0x89638a0)') called at /usr/share/perl5/Archive/Zip.pm line 955,
referer: http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]]
\tArchive::Zip::Archive::readFromFileHandle('Archive::Zip::Archive=HASH(0x814cd28)',
'IO::File=GLOB(0x89638a0)', '/srv/clipart.freedesktop.org/temp/temp_aafs')
called at /usr/share/perl5/Archive/Zip.pm line 929, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] \tArchive::Zip::Archive::read('Archive::Zip::Archive=HASH(0x814cd28)',
'/srv/clipart.freedesktop.org/temp/temp_aafs') called at
/usr/share/perl5/Archive/Zip.pm line 522, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] \tArchive::Zip::Archive::new('Archive::Zip::Archive',
'/srv/clipart.freedesktop.org/temp/temp_aafs') called at
/usr/share/perl5/Archive/Zip.pm line 220, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] \tArchive::Zip::new('Archive::Zip',
'/srv/clipart.freedesktop.org/temp/temp_aafs') called at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 136, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] \tmain::process_upload() called at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 40, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] unable to construct zipfile object based on
/srv/clipart.freedesktop.org/temp/temp_aafs at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 136., referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] Can't call method "contents" on an undefined value at
/srv/clipart.freedesktop.org/www/cgi-bin/upload_svg.cgi line 137., referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
[[error]] Premature end of script headers: upload_svg.cgi, referer:
http://openclipart.org/cgi-bin/upload_svg.cgi
Comment 2 ryanlerch 2006-09-06 17:32:39 UTC
resolved by the introduction of cchost...
Comment 3 Nicu Buculei 2006-09-06 22:47:10 UTC
sorry, but I have to reopen this:
1. ccHost is not yet the defaut engine;
2. ccHost does not allow zip uploads, and mass upload is a much needed feature
for large contributors, like the reporter or me. 
Comment 4 ryanlerch 2006-10-12 21:12:11 UTC
created a cchost feature request bug to reopen this issue in the cchost context.